# include "ColorTestCase.h"
# include "TestHeader.h"
using namespace Alice;
CPPUNIT_TEST_SUITE_REGISTRATION( ColorTestCase );
void
ColorTestCase::construction()
{
  Color* w = Color::white();
  Color* b = Color::black();
  CPPUNIT_ASSERT(w = Color::white());
  CPPUNIT_ASSERT(b = Color::black());
  CPPUNIT_ASSERT(w != b);
};

void 
ColorTestCase::isWhite()
{
  Color* w = Color::white();
  Color* b = Color::black();
  CPPUNIT_ASSERT(w->isWhite());
  CPPUNIT_ASSERT(! b->isWhite());
};
void 
ColorTestCase::isBlack()
{
  Color* w = Color::white();
  Color* b = Color::black();
  CPPUNIT_ASSERT(!w->isBlack());
  CPPUNIT_ASSERT( b->isBlack());
};

void ColorTestCase::otherColor()
{
  Color* w = Color::white();
  Color* b = Color::black();
  CPPUNIT_ASSERT(w = b->otherColor());
  CPPUNIT_ASSERT(b = w->otherColor());
};
